Retrieve Project MCP Gateway Resource Server Details
get
/ic/api/integration/v1/projects/{projectId}/mcp/gateways/{id}/resource-server
Retrieves resource server details for an active MCP gateway in a project.
Request
Path Parameters
-
id(required): string
Resource code, optionally followed by |01.00.0000. Omitted versions default to 01.00.0000; other versions are rejected.Example:
MCP_GATEWAY -
projectId(required): string
Project identifierExample:
MCP_PROJECT
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/vnd.oracle.model+json;type=singular
- application/json; charset=utf-8
200 Response
Successful operation
Root Schema : schema
Type:
objectAdditional Properties Allowed:
true400 Response
Malformed parameters or invalid request
401 Response
Unauthorized or insufficient design-time permissions
404 Response
Project or resource not found, or the MCP feature is not available
412 Response
Precondition failed
500 Response
Server error
Examples
The following example shows how to retrieve resource server details for an active MCP gateway in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve Project MCP Gateway Resource Server Details
curl --request GET --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/gateways/${GATEWAY_ID}/resource-server?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"